package com.prolog.upcloud.base.wh.operate.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.Arrays;

/**
 * @author wujunjie
 */

@AllArgsConstructor
@Getter
public enum WmsMoveStatus {
    /**
     * 新建状态
     */
    NEW("0");

    private String status;

    public static WmsMoveStatus get(String status) {
        return Arrays.stream(WmsMoveStatus.values()).filter(x -> x.getStatus().equals(status)).findFirst().orElse(null);
    }
}
